---
###############################################
#
#  Configuration file for CSST object injection
#      Last modified: 2022/06/19
#
###############################################
# n_objects: 500
rotate_objs: NO
use_mpi: YES
run_name: "test_20230517"

pos_sampling:
  # type: "HexGrid"
  # type: "RectGrid"
  # grid_spacing: 18.5 # arcsec (~250 pixels)
  type: "uniform"
  object_density: 37 # arcmin^-2

output_img_dir: "/share/home/fangyuedong/injection_pipeline/workspace"
input_img_list: "/share/home/fangyuedong/injection_pipeline/input_L1_img_MSC_0000000.list"

###############################################
# PSF setting
###############################################
psf_setting:
  
  # Which PSF model to use:
  # "Gauss": simple gaussian profile
  # "Interp": Interpolated PSF from sampled ray-tracing data
  psf_model: "Interp"

  # PSF size [arcseconds]
  # radius of 80% energy encircled
  # NOTE: only valid for "Gauss" PSF
  psf_rcont: 0.15

  # path to PSF data
  # NOTE: only valid for "Interp" PSF
  psf_dir: "/share/simudata/CSSOSDataProductsSims/data/psfCube1"

###############################################
# Input path setting
# (NOTE) Used NGP Catalog for testing
###############################################
# Default path settings for NGP footprint simulation
data_dir: "/share/simudata/CSSOSDataProductsSims/data/"

input_path:
  cat_dir: "OnOrbitCalibration/CTargets20211231"
  star_cat: "CT-NGP_r1.8_G28.hdf5"
  galaxy_cat: "galaxyCats_r_3.0_healpix_shift_192.859500_27.128300.hdf5"

SED_templates_path:
  star_SED: "Catalog_20210126/SpecLib.hdf5"
  galaxy_SED: "Templates/Galaxy/"


###############################################
# Instrumental effects setting
# (NOTE) Here only used to construct
# ObservationSim.Instrument.Chip object
# (TODO) Should readout from header
###############################################
ins_effects:
  # switches
  bright_fatter:  ON # Whether to simulate Brighter-Fatter (also diffusion) effect

  # values
  # dark_exptime:   300   # Exposure time for dark current frames [seconds]
  # flat_exptime:   150   # Exposure time for flat-fielding frames [seconds]
  # readout_time:   40    # The read-out time for each channel [seconds]
  # df_strength:    2.3   # Sillicon sensor diffusion strength
  # bias_level:     500   # bias level [e-/pixel]
  # gain:           1.1   # Gain
  # full_well:      90000 # Full well depth [e-]

###############################################
# Random seeds
###############################################
random_seeds:
  seed_Av:              121212    # Seed for generating random intrinsic extinction

###############################################
# Measurement setting
###############################################
measurement_setting:
  input_img_list: "/share/home/fangyuedong/injection_pipeline/injected_L1_img_MSC_0000000.list"
  # input_img_list: "/share/home/fangyuedong/injection_pipeline/input_L1_img_MSC_0000000.list"
  input_wht_list: "/share/home/fangyuedong/injection_pipeline/L1_wht_img_MSC_0000000.list"
  input_flg_list: "/share/home/fangyuedong/injection_pipeline/L1_flg_img_MSC_0000000.list"
  input_psf_list: "/share/home/fangyuedong/injection_pipeline/psf_img_MSC_0000000.list"
  sex_config: "/share/home/fangyuedong/injection_pipeline/config/default.config"
  sex_param: "/share/home/fangyuedong/injection_pipeline/config/default.param"
  n_jobs: 8
  output_dir: "/share/home/fangyuedong/injection_pipeline/workspace"